import { ElementRef, Renderer2, ViewContainerRef } from '@angular/core';
import { GuiCommand } from "@magic-xpa/gui";
import { MagicDirective } from "../magic.directive";
import { TaskMagicService } from "../../../services/task.magics.service";
import { RowMagicDirective } from "./row.magic.directive";
/**
 * @ignore
 */
export declare class NoControlMagicDirective extends MagicDirective {
    magic: any;
    constructor(_task: TaskMagicService, element: ElementRef, renderer: Renderer2, vcRef: ViewContainerRef, magicRow: RowMagicDirective);
    regEvents(): void;
    isTabControl(): boolean;
    isRadio(): boolean;
    handleCommand(command: GuiCommand): void;
    handleSetProperty(command: GuiCommand): void;
}
